Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
- Debugging
- Interface
- Lit
- Logic
- MatchAnalysis
- MatchApproximation
- MatchCodeGen
- MatchCps
- MatchOptimization
- MatchTranslation
- MatchTreeMaking
- MatchWarnings
- PatternExpansion
- PatternMatching
- PatternMatchingStats
- ScalaLogic
- Solving
- TreeAndTypeAnalysis

t

scala.tools.nsc.transform.patmat

# Solving

###

#### trait Solving extends Logic

Solve pattern matcher exhaustivity problem via DPLL.

Source
  Solving.scala

Linear Supertypes
Logic, Debugging, AnyRef, Any
Known Subclasses
patmat, PatternMatching
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Solving
2. Logic
3. Debugging
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  trait PropositionalLogic extends AnyRef
   Definition Classes
     Logic
2.  trait CNF extends PropositionalLogic
3.  trait Solver extends CNF

### Abstract Value Members

1.  abstract val global: Global
   Definition Classes
     Debugging

### Concrete Value Members

1.  object debug
   Definition Classes
     Debugging
2.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
3.  final def ##: Int
   Definition Classes
     AnyRef → Any
4.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Solving toany2stringadd[Solving] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
5.  def ->[B](y: B): (Solving, B)
   Implicit
     This member is added by an implicit conversion from Solving toArrowAssoc[Solving] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
6.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
7.  def alignAcrossRows(xss: List[List[Any]], sep: String, lineSep: String = "\n"): String
   Definition Classes
     Logic
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  def ensuring(cond: (Solving) => Boolean, msg: => Any): Solving
    Implicit
      This member is added by an implicit conversion from Solving toEnsuring[Solving] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (Solving) => Boolean): Solving
    Implicit
      This member is added by an implicit conversion from Solving toEnsuring[Solving] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: => Any): Solving
    Implicit
      This member is added by an implicit conversion from Solving toEnsuring[Solving] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): Solving
    Implicit
      This member is added by an implicit conversion from Solving toEnsuring[Solving] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Solving toStringFormat[Solving] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Solving, B)
   Implicit
     This member is added by an implicit conversion from Solving toArrowAssoc[Solving] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Logic

### Inherited from Debugging

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromSolving to any2stringadd[Solving]

### Inherited by implicit conversion StringFormat fromSolving to StringFormat[Solving]

### Inherited by implicit conversion Ensuring fromSolving to Ensuring[Solving]

### Inherited by implicit conversion ArrowAssoc fromSolving to ArrowAssoc[Solving]

### Ungrouped